Skip to main content
GET
/
billing
/
invoices
/
v1
/
{id}
Retrieve an invoice
curl --request GET \
  --url https://api.spacebring.com/billing/invoices/v1/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "invoice": {
    "amountDue": 123,
    "amountPaid": 123,
    "amountRemaining": 123,
    "appliedBalance": 123,
    "baseAmounts": {
      "amountDue": 123,
      "appliedBalance": 123,
      "currencyCode": "<string>",
      "postPaymentCreditNotesAmount": 123,
      "prePaymentCreditNotesAmount": 123,
      "subtotalAmount": 123,
      "subtotalExcludingTaxAmount": 123,
      "taxes": [
        {
          "amount": 123,
          "inclusive": true,
          "rate": 123,
          "taxableAmount": 123
        }
      ],
      "totalAmount": 123,
      "totalExcludingTaxAmount": 123
    },
    "createDate": "2023-11-07T05:31:56Z",
    "currencyCode": "<string>",
    "customer": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "logo": {
        "key": "<string>",
        "url": "<string>"
      },
      "title": "<string>",
      "user": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "photoUrl": "<string>",
        "surname": "<string>"
      }
    },
    "itemsCount": 0,
    "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payments": [
      {
        "createDate": "2023-11-07T05:31:56Z",
        "method": {
          "external": {},
          "paymentGateway": {
            "gateway": "<string>",
            "label": "<string>",
            "mask": "<string>",
            "title": "<string>"
          }
        },
        "price": {
          "money": {
            "currencyCode": "<string>",
            "grossAmount": 123
          },
          "type": "money"
        },
        "refundable": true,
        "transactionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "dispute": {
          "createDate": "2023-11-07T05:31:56Z"
        },
        "refunds": {
          "type": "money",
          "money": [
            {
              "createDate": "2023-11-07T05:31:56Z",
              "currencyCode": "<string>",
              "grossAmount": 123,
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            }
          ]
        },
        "surcharge": {
          "money": {
            "amount": 123,
            "currencyCode": "<string>",
            "percentage": 123,
            "rate": 123
          },
          "type": "money"
        }
      }
    ],
    "postPaymentCreation": true,
    "postPaymentCreditNotesAmount": 123,
    "prePaymentCreditNotesAmount": 123,
    "subtotalAmount": 123,
    "subtotalExcludingTaxAmount": 123,
    "taxes": [
      {
        "amount": 123,
        "inclusive": true,
        "rate": 123,
        "taxableAmount": 123
      }
    ],
    "timezoneId": "<string>",
    "title": "<string>",
    "totalAmount": 123,
    "totalExcludingTaxAmount": 123,
    "amount": 123,
    "autoChargeFailed": true,
    "autoCreateDate": "2023-11-07T05:31:56Z",
    "company": "<unknown>",
    "companyRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customerAddress": {
      "city": "<string>",
      "countryCode": "<string>",
      "line1": "<string>",
      "line2": "<string>",
      "postalCode": "<string>",
      "state": "<string>"
    },
    "customerName": "<string>",
    "customerTaxId": "<string>",
    "dueDate": "2023-11-07T05:31:56Z",
    "dueDays": 0,
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "internalNote": "<string>",
    "issueDate": "2023-11-07T05:31:56Z",
    "items": [
      "<unknown>"
    ],
    "membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "memo": "<string>",
    "netAmount": 123,
    "number": "<string>",
    "paymentMethod": {
      "cardMask": "<string>",
      "label": "<string>",
      "mask": "<string>"
    },
    "pdfUrl": "<string>",
    "postPaymentCreditAmount": 123,
    "prePaymentCreditAmount": 123,
    "receiptPdfUrl": "<string>",
    "startingBalance": 123,
    "subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "taxAmount": 123,
    "transaction": {
      "amount": 123,
      "createDate": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "paymentMethod": {
        "type": "<string>",
        "label": "<string>"
      },
      "refund": {
        "amount": 123,
        "createDate": "2023-11-07T05:31:56Z"
      },
      "refunds": [
        {
          "amount": 123,
          "createDate": "2023-11-07T05:31:56Z",
          "currencyCode": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ]
    },
    "user": "<unknown>",
    "voidDate": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Path Parameters

id
string<uuid>
required

The id of an invoice.

Response

OK

invoice
object